Create
curl --request POST \
--url https://{defaultHost}/v1/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": {
"body": "This is some text!",
"notable_id": "a7bddec9-8ef8-4711-b6ac-7c72cc1a08b0",
"notable_type": "Customer"
}
}
'import requests
url = "https://{defaultHost}/v1/notes"
payload = { "note": {
"body": "This is some text!",
"notable_id": "a7bddec9-8ef8-4711-b6ac-7c72cc1a08b0",
"notable_type": "Customer"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: {
body: JSON.stringify('This is some text!'),
notable_id: 'a7bddec9-8ef8-4711-b6ac-7c72cc1a08b0',
notable_type: 'Customer'
}
})
};
fetch('https://{defaultHost}/v1/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "74449914-f7bc-4492-8fde-c39b0f28947c",
"object": "note",
"body": "This is some text!",
"metadata": {},
"notable_id": "a7bddec9-8ef8-4711-b6ac-7c72cc1a08b0",
"notable_type": "customer",
"created_at": 1782485852,
"updated_at": 1782485852
}Notes
Create
Creates a new note.
POST
/
v1
/
notes
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The type of object that this note belongs to – one of customer, order, or subscription.
The ID of the object that this note belongs to.
The body of the note.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I